Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<Appearance("Hide C3CInvoicePopup-BankInformation", AppearanceItemType.ViewItem, "IsRequiredBankInformation=False", TargetItems:="BankInformation", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("Hide C3CInvoicePopup-CustomersFrom", AppearanceItemType.ViewItem, "1=1", TargetItems:="CustomersFrom", Visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("Hide C3CInvoicePopup-IsRequiredBankInformation", AppearanceItemType.ViewItem, "1=1", TargetItems:="IsRequiredBankInformation", Visibility:=Editors.ViewItemVisibility.Hide)> _
<NonPersistent()> _
Public Class C3CInvoicePopup
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Property CustomersFrom As CustomersFrom
    Property BankInformation As BankInformation
    Property IsRequiredBankInformation As Boolean
    <Size(-1)> _
    Property Description As String
End Class
